Subject: bug#16357: insufficient print abbreviation in error messages

From: Mark H Weaver <[email-masked]>
Date: Sat, 25 Jun 2016 21:05:36 -0400

Andy Wingo <[email-masked]> writes:

> On Thu 23 Jun 2016 18:57, Mark H Weaver <[email-masked]> writes:
>
>> Andy Wingo <[email-masked]> writes:
>>> Or, we could use print states.  But print states are not so great and
>>> ideally we would remove them eventually.
>>
>> We will need print states, or something like them, to support writing
>> cyclic data structures as required by R7RS.
>
> I was thinking parameters would be sufficient.  Dunno.  WDYT about that?

Parameters would propagate to places where we don't want them to
propagate.  For example, if in the course of running a custom printer,
some internal procedure prints something to a different port, e.g. to a
string port, then the parameter would still take effect.

      Mark